Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.context.i18n
Interface LocaleContext

All Known Implementing Classes:
  SimpleLocaleContext

    public interface LocaleContext

Strategy interface for determining the current Locale.

A LocaleContext instance can be associated with a thread via the LocaleContextHolder class.

Since:
  1.2
Author:
  Juergen Hoeller
See Also:
  `LocaleContextHolder`, `Locale`

Method Summary
`Locale` | `getLocale()` Return the current Locale, which can be fixed or determined dynamically, depending on the implementation strategy.

Method Detail

### getLocale

    Locale getLocale()

  Return the current Locale, which can be fixed or determined dynamically, depending on the implementation strategy.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD